#include "stdafx.h"
#include "VirtPoint.h"

//******************************************************************************
//
//******************************************************************************
/*virtual*/ void CVirtPoint::Move(LPCRECT pRect)
{
	m_nX += m_nDirX;
	if (m_nX < 0 || m_nX > pRect->right)
		m_nDirX = -m_nDirX;

	m_nY += m_nDirY;
	if (m_nY < 0 || m_nY > pRect->bottom)
		m_nDirY = -m_nDirY;  
}

//******************************************************************************
//
//******************************************************************************
/*virtual*/ void CVirtPoint::Draw(HDC hdc)
{
	RECT rect;
	rect.left = m_nX - 1;
	rect.top = m_nY - 1;
	rect.right = m_nX + 1;
	rect.bottom = m_nY + 1;

	HBRUSH hbrush = ::CreateSolidBrush(RGB(0xFF, 0, 0));
	::FillRect(hdc, &rect, hbrush);
	::DeleteObject(hbrush);
}