//******************************************************************************
// odvozena trida od Point, definuje jeden ctverec
//******************************************************************************
#include "virtpoint.h"

class CVirtSquare : public CVirtPoint
{
protected:
	//delka steny
	int m_nSite; 
	//true - rosteme
	bool m_bGrowing;
public:
	CVirtSquare(int nInitX, int nInitY, int nSite) : CVirtPoint(nInitX, nInitY)
	{
		m_nSite = nSite;
		m_bGrowing = true;
	}
	
	//zvetsi rozmery 
	virtual void Grow(int nE);

	//premisti objekt ve smeru [DirX,DirY], pokud objekt dosahne hranic zadane oblasti, dojde
	//k odrazu dle platnych odrazovych zakonu a [DirX, DirY] se zmeni + navic meni polomer
    virtual void Move(LPCRECT pRect);

	//zobrazi objekt na pozici [X,Y] do HDC zarizeni
	virtual void Draw(HDC hdc);    
};
